<?php

	/**
	 * Widget Klasse für die Anzeige des Produktfilters im Frontend
	 */
	class wpsg_mod_productfilter_widget extends WP_Widget 
	{
		
		var $id = "wpsg_mod_productfilter_widget";
		var $db = false;
		var $shop = false;
		
		function wpsg_mod_productfilter_widget()
		{
						
	    	$this->WP_Widget('wpsg_mod_productfilter_widget', 'wpShopGermany Produktfilter', array(
	    		"description" => __("wpShopGermany Produktfilter", 'wpsg')
	    	));
	    	
	  	} // function wpsg_login()
	 
	  	function widget($args, $settings)
	  	{

	  		$this->db = &$GLOBALS['wpsg_db'];
	  		$this->shop = &$GLOBALS['wpsg_sc'];
	  		
	  		$arSet = $this->shop->get_option('wpsg_mod_productfilter_show');
	  		
	  		$this->shop->view['wpsg_mod_productfilter']['arShow'] = array();
	  		wpsg_debug("=".is_page());
	  		if (wpsg_isSizedArray($arSet))
	  		{
	  			
	  			
	  			
	  		}
	  		
	  		$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_productfilter/widget.phtml');
	  		
	  	} // function widget($args, $settings)
	 
	  	function form($instance) { } // function form($instance)
	 	  
		function update($new_instance, $old_instance) { return $old_instance; } // function update( $new_instance, $old_instance ) {
	  	
	} // class wpsg_mod_productfilter_widget Extends WP_Widget 
?>